Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPieceScalars Class Reference

`#include <vtkPieceScalars.h>`

Inheritance diagram for vtkPieceScalars:

[legend]
Collaboration diagram for vtkPieceScalars:

[legend]
List of all members.

## Detailed Description

Sets all cell scalars from the update piece.

Date:
  2002/09/30 20:35:49

Revision:
  1.11

vtkPieceScalars is meant to display which piece is being requested as scalar values. It is usefull for visualizing the partioning for streaming or distributed pipelines.

See also:
  vtkPolyDataStreamer

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (52%)
  - Law, Charles (33%)
  - Henderson, Amy (6%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPieceScalars.h)`
  - .`cxx` (`/Parallel/vtkPieceScalars.cxx)`

Tests:
  vtkPieceScalars (Tests)

Definition at line 53 of file vtkPieceScalars.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetRandomMode (int)
virtual int | GetRandomMode ()
virtual void | RandomModeOn ()
virtual void | RandomModeOff ()
void | SetScalarModeToCellData ()
void | SetScalarModeToPointData ()
int | GetScalarMode ()
## Static Public Methods
vtkPieceScalars * | New ()
int | IsTypeOf (const char *type)
vtkPieceScalars * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPieceScalars ()
| ~vtkPieceScalars ()
void | Execute ()
vtkIntArray * | MakePieceScalars (int piece, vtkIdType numScalars)
vtkFloatArray * | MakeRandomScalars (int piece, vtkIdType numScalars)
virtual void | SetCellScalarsFlag (int)
## Protected Attributes
int | CellScalarsFlag
int | RandomMode

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkPieceScalars::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 58 of file vtkPieceScalars.h.

## Constructor & Destructor Documentation

vtkPieceScalars::vtkPieceScalars | ( |  | ) | `[protected]`

vtkPieceScalars::~vtkPieceScalars | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPieceScalars* vtkPieceScalars::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPieceScalars::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkPieceScalars::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkPieceScalars::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkPieceScalars* vtkPieceScalars::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkPieceScalars::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkPieceScalars::SetScalarModeToCellData | ( |  | ) | `[inline]`

| Option to centerate cell scalars of poi9nts scalars. Default is point scalars. Definition at line 64 of file vtkPieceScalars.h.

void vtkPieceScalars::SetScalarModeToPointData | ( |  | ) | `[inline]`

| Option to centerate cell scalars of poi9nts scalars. Default is point scalars. Definition at line 65 of file vtkPieceScalars.h.

int vtkPieceScalars::GetScalarMode | ( |  | ) | `[inline]`

| Option to centerate cell scalars of poi9nts scalars. Default is point scalars. Definition at line 66 of file vtkPieceScalars.h.

virtual void vtkPieceScalars::SetRandomMode | ( | int |  | ) | `[virtual]`

virtual int vtkPieceScalars::GetRandomMode | ( |  | ) | `[virtual]`

virtual void vtkPieceScalars::RandomModeOn | ( |  | ) | `[virtual]`

virtual void vtkPieceScalars::RandomModeOff | ( |  | ) | `[virtual]`

void vtkPieceScalars::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

vtkIntArray* vtkPieceScalars::MakePieceScalars | ( | int | piece,
|  | vtkIdType | numScalars
| ) | `[protected]`

vtkFloatArray* vtkPieceScalars::MakeRandomScalars | ( | int | piece,
|  | vtkIdType | numScalars
| ) | `[protected]`

virtual void vtkPieceScalars::SetCellScalarsFlag | ( | int |  | ) | `[protected, virtual]`

## Member Data Documentation

int vtkPieceScalars::CellScalarsFlag`[protected]`

| Definition at line 87 of file vtkPieceScalars.h.

int vtkPieceScalars::RandomMode`[protected]`

| Definition at line 88 of file vtkPieceScalars.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPieceScalars.h